import React, { Dispatch, SetStateAction } from 'react';
export declare type Langs = 'es' | 'en' | 'de';
export interface ContextState<T> {
    translations: {
        [P in Langs]?: T;
    };
    lang: Langs;
}
declare type ContextType<T> = [ContextState<T>, Dispatch<SetStateAction<ContextState<T>>>];
export declare const LangContext: React.Context<ContextType<any>>;
export declare const useLangContext: <T>() => ContextType<T>;
export interface ProviderProps<T> extends React.PropsWithChildren<ContextState<T>> {
    onLang?: (lang: Langs) => void;
}
export declare const LangProvider: <T>(props: ProviderProps<T>) => JSX.Element;
export {};
